## disk_status

The disk_status function returns the current disk status.

    DSTATUS disk_status (
      BYTE pdrv     /* [IN] Physical drive number */
    );

#### Parameter

pdrv
  Specifies the physical drive number to be confirmed.

#### Return Values

The disk status is returned in combination of following flags. FatFs refers only `STA_NOINIT` and `STA_PROTECTED`.

STA_NOINIT
  Indicates that the disk drive is not initialized. This flag is set on system reset, media removal or failure of `disk_initialize()` function. It is cleared on `disk_initialize()` function succeeded. Media change that occurs asynchronously must be captured and reflect it to the status flags, or auto-mount feature will not work correctly. When media change detection feature is not supported, application program needs to de-initialize the file system object with `f_mount()` function after the media change.
STA_NODISK
  Indicates that no medium in the drive. This is always cleared on fixed disk drive. Note that FatFs does not refer this flag.
STA_PROTECTED
  Indicates that the medium is write protected. This is always cleared on the drive that does not support write protect notch. Not valid while no medium in the drive.

Return